package server

import (
	"github.com/nats-io/nats.go"
	"github.com/nats-io/nats.go/micro"
)

type Server struct {
	nc  *nats.Conn
	svc micro.Service
}

func AddEndPoints(svc micro.Service) (err error) {
	// 
	err = svc.AddEndpoint("svc.eventer.new.bundle", micro.HandlerFunc(SvcEventerNewBundleHandle))
	if err != nil {
		return err
	}

	err = svc.AddEndpoint("svc.eventer.new.barcode", micro.HandlerFunc(SvcEventerNewBarcodeHandle))
	if err != nil {
		return err
	}

	return
}

func SvcEventerNewBundleHandle(req micro.Request) {
	req.Respond(req.Data())
}

func SvcEventerNewBarcodeHandle(req micro.Request) {
	req.Respond(req.Data())
}

func New(nc *nats.Conn) (*Server, error) {
	svc, err := micro.AddService(nc, micro.Config{
		Name:        "EventService",
		Version:     "1.0.0",
		Description: "falcon event service",
	})
	if err != nil {
		return nil, err
	}
	return &Server{
		nc:  nc,
		svc: svc,
	}, nil
}
