package types

import (
	"time"

	"gorm.io/gorm"
)

type BeamCutPattern struct {
	Inst      string         `json:"INST"`
	DateTime  string         `json:"DATE_TIME"`
	BeamCutN  int            `json:"BEAM_CUT_N" gorm:"primaryKey;autoIncrement:false"`
	SchedulNo int            `json:"SCHEDUL_NO"`
	Spli1Len  int            `json:"SPLI_1_LEN"`
	Spli2Len  int            `json:"SPLI_2_LEN"`
	Sortb     string         `json:"SORTB"`
	CreatedAt time.Time      `gorm:"->;<-:create" json:"createdat,omitempty"`
	UpdatedAt time.Time      `json:"updated_at,omitempty"`
	DeletedAt gorm.DeletedAt `gorm:"index"`
}

func (BeamCutPattern) TableName() string {
	return "sap_bcp"
}
