package types

import (
	"time"

	"gorm.io/gorm"
)

type Label struct {
	ID                    string `gorm:"primaryKey"`
	DateTime              string
	L2PackageId           int16
	L3PackageId           string
	ProductionOrderNo     int32
	CustomerOrderNo       int32
	CustomerName          string
	LogoCode              string
	SteelGrade            string
	MaterialCode          string
	HeatId                string
	SectionType           string
	PackageDimenA         float32
	PackageDimenB         float32
	PackageDimenC         float32
	PackageWeight         float32
	SectionDimenA         float32
	SectionDimenB         float32
	SectionDimenC         float32
	NumberSections        int32
	NumberLayers          int32
	NumberSectionsInLayer int32
	FreeTxtLp             string
	CreatedAt             time.Time      `gorm:"->;<-:create" json:"createdat,omitempty"`
	UpdatedAt             time.Time      `json:"updated_at,omitempty"`
	DeletedAt             gorm.DeletedAt `gorm:"index"`
}
